com.sun.source.tree

## Interface CompoundAssignmentTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface CompoundAssignmentTree
    extends ExpressionTree

A tree node for compound assignment operator. Use `getKind` to determine the kind of operator. For example:

       variable operator expression

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 15.26.2"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getExpression()`
`ExpressionTree` `getVariable()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getVariable

    ExpressionTree getVariable()

#### getExpression

    ExpressionTree getExpression()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.